> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/transactions/list-transactions.md).

# List transactions

List transactions and filter them by partner, customer or any custom properties.

To filter transactions on custom property, just add the property with its exact value as a query parameter: `myCustomProp=ThisIsAValue` This will return the transactions where myCustomProp exactly matches the provided value.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Transaction.View","Api"]}],"components":{"securitySchemes":{},"schemas":{"TransactionListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TransactionDto"},"nullable":true}},"additionalProperties":false},"TransactionDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"creationDate":{"type":"string","format":"date-time"},"properties":{"type":"object","additionalProperties":{"nullable":true},"nullable":true},"customerId":{"type":"integer","format":"int32","nullable":true},"partnerId":{"type":"integer","format":"int32","nullable":true},"dealId":{"type":"integer","format":"int32","nullable":true},"currency":{"type":"string","nullable":true},"isDeleted":{"type":"boolean"},"deletionDate":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/v3/transactions":{"get":{"tags":["Transactions"],"summary":"List transactions","description":"List transactions and filter them by partner, customer or any custom properties.\r\n            \r\nTo filter transactions on custom property, just add the property with its exact value as a query parameter:\r\n`myCustomProp=ThisIsAValue`\r\nThis will return the transactions where myCustomProp exactly matches the provided value.","parameters":[{"name":"partner_id","in":"query","description":"The list of partner IDs to filter the transactions on.","schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"name":"customer_id","in":"query","description":"The list of customer IDs to filter the returned transactions on.","schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"name":"deal_id","in":"query","description":"The list of deal IDs to filed the returned transactions on.","schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first transaction to be returned.","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of transactions to be returned. The default is 20.","schema":{"type":"integer","format":"int32"}},{"name":"sort_by","in":"query","description":"The property used to sort the transactions by. The default is CreationDate.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned transactions. Accepted values: ASC, DESC. The default is DESC.","schema":{"type":"string"}}],"responses":{"200":{"description":"Transactions returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionListResponseDto"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/transactions/list-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
